const getters = {
  device: state => state.app.device,
  theme: state => state.app.theme,
  color: state => state.app.color,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  rmbRate: state => state.user.rmbRate,
  nickname: state => state.user.name,
  welcome: state => state.user.welcome,
  roles: state => state.user.roles,
  userInfo: state => state.user.info,
  permissions: state => state.user.permissions,
  addRouters: state => state.permission.addRouters,
  multiTab: state => state.app.multiTab,
  lang: state => state.i18n.lang,
  purchaseType: state => state.purchase.type,
  addFlag: state => state.purchase.addFlag,
  changeFlag: state => state.purchase.changeFlag,
  purchaseContractId: state => state.purchase.contractId,
  demandPlanId: state => state.purchase.demandPlanId,
  moneyType: state => state.purchase.moneyType,
  inventoryLocation: state => state.purchase.inventoryLocation,
  exchangeRate: state => state.purchase.exchangeRate,
  purchasePlanId: state => state.purchase.planId,
  purchaseApplyId: state => state.purchase.applyId,
  purchaseOrderId: state => state.purchase.orderId,
  purchaseDispatchId: state => state.purchase.dispatchId,
  oneListAdd: state => state.purchase.oneListAdd,
  oneListUpdate: state => state.purchase.oneListUpdate,
  oneListDelete: state => state.purchase.oneListDelete,
  twoListAdd: state => state.purchase.twoListAdd,
  twoListUpdate: state => state.purchase.twoListUpdate,
  checkedRows: state => state.purchase.checkedRows,
  twoListDelete: state => state.purchase.twoListDelete
}

export default getters
